summaryrefslogtreecommitdiffstats
path: root/desktop/plasma-applet-daisy
diff options
context:
space:
mode:
author Eugene Kommunist Bolotov <lordinferius@gmail.com>2010-05-13 00:57:38 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:57:38 +0200
commit7b2dde3a8c24cd5f65cde926c539bab7f680567c (patch)
tree90694bbf40e78d819f39d677dc275225d59a1691 /desktop/plasma-applet-daisy
parent0c611da38d545ce8dd342c7d5154b1bfcb01bcfa (diff)
downloadslackbuilds-7b2dde3a8c24cd5f65cde926c539bab7f680567c.tar.gz
slackbuilds-7b2dde3a8c24cd5f65cde926c539bab7f680567c.tar.xz
desktop/plasma-applet-daisy: Added to 13.0 repository
Diffstat (limited to 'desktop/plasma-applet-daisy')
-rw-r--r--desktop/plasma-applet-daisy/README11
-rw-r--r--desktop/plasma-applet-daisy/doinst.sh4
-rw-r--r--desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild71
-rw-r--r--desktop/plasma-applet-daisy/plasma-applet-daisy.info10
-rw-r--r--desktop/plasma-applet-daisy/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/desktop/plasma-applet-daisy/README b/desktop/plasma-applet-daisy/README
new file mode 100644
index 0000000000..8874189c15
--- /dev/null
+++ b/desktop/plasma-applet-daisy/README
@@ -0,0 +1,11 @@
+Daisy is a free open-source widget for Plasma/KDE.
+
+Main features:
+- Three types of roles: circular dock, media controller and linear dock
+- Can dock in any screen position and be used in Horizontal or Vertical
+ mode (linear dock role)
+- Configuration tools to access all configurable options
+- Launchers can be edited with a simple right-click
+- Hybrid launchers to launch applications and control running tasks
+- Plugins to provide information and execute several tasks
+- Various backgrounds available
diff --git a/desktop/plasma-applet-daisy/doinst.sh b/desktop/plasma-applet-daisy/doinst.sh
new file mode 100644
index 0000000000..6d65032dc7
--- /dev/null
+++ b/desktop/plasma-applet-daisy/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/kbuildsycoca4 ]; then
+ /usr/bin/kbuildsycoca4
+fi
+
diff --git a/desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild b/desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild
new file mode 100644
index 0000000000..b640514464
--- /dev/null
+++ b/desktop/plasma-applet-daisy/plasma-applet-daisy.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Build script for plasma-applet-daisy
+
+# Written by Eugene Kommunist Bolotov <lordinferius@gmail.com>
+
+PRGNAM=plasma-applet-daisy
+VERSION=0.0.4.21
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -mtune=i686 -march=i486"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -mtune=i686 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ];then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake \
+-DCMAKE_INSTALL_PREFIX="/usr" \
+-DLIBDIR_SUFFIX=${LIBDIRSUFFIX} \
+.
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG COPYING INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/plasma-applet-daisy/plasma-applet-daisy.info b/desktop/plasma-applet-daisy/plasma-applet-daisy.info
new file mode 100644
index 0000000000..7dff1497c8
--- /dev/null
+++ b/desktop/plasma-applet-daisy/plasma-applet-daisy.info
@@ -0,0 +1,10 @@
+PRGNAM="plasma-applet-daisy"
+VERSION="0.0.4.21"
+HOMEPAGE="http://daisyplasma.freehostia.com"
+DOWNLOAD="http://daisyplasma.freehostia.com/downloads/plasma-applet-daisy-0.0.4.21.tar.gz"
+MD5SUM="32412fdf8f7f2558dde7078927f80041"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Eugene Kommunist Bolotov"
+EMAIL="lordinferius@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/desktop/plasma-applet-daisy/slack-desc b/desktop/plasma-applet-daisy/slack-desc
new file mode 100644
index 0000000000..dbea088f69
--- /dev/null
+++ b/desktop/plasma-applet-daisy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+plasma-applet-daisy: "Daisy" is a simple application launcher for Plasma.
+plasma-applet-daisy:
+plasma-applet-daisy: Daisy is a free open-source widget for Plasma/KDE released under the
+plasma-applet-daisy: GNU General Public License version 3.
+plasma-applet-daisy:
+plasma-applet-daisy: Homepage: http://daisyplasma.freehostia.com
+plasma-applet-daisy:
+plasma-applet-daisy:
+plasma-applet-daisy:
+plasma-applet-daisy:
+plasma-applet-daisy: